using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Data.Standard;

namespace XYY.Service.Standard.UserService
{
    public static class UserServiceRegionHelper
    {
        /// <summary>
        /// 注入用户信息数据操作方法
        /// </summary>
        /// <param name="services"></param>
        public static void RegionUserService(this IServiceCollection services)
        {
            services.AddScoped<IUserInfoRepository, UserInfoRepository>();
            services.AddScoped<IUserApiRepository, UserApiRepository>();
            services.AddScoped<IUserRoleRepository, UserRoleRepository>();
            services.AddScoped<IUserPermissionRepository, UserPermissionRepository>();
            services.AddScoped<IUserService, UserService>();
        }
    }
}
